<?php
namespace edu\wisc\doit\uwphps;

use PHPUnit\Framework\TestCase;

/**
 * Tests for {@link UserDetailsProvider} concrete methods.
 */
class UserDetailsProviderTest extends TestCase
{

    /** @var UserDetailsProvider */
    private $provider;

    public function setUp()
    {
        // Must use a mock because it is an abstract class
        $this->provider = $this->getMockForAbstractClass(UserDetailsProvider::class);
    }

    /** @test */
    public function convertsAttributeToHttpHeader()
    {
        $this->assertEquals('HTTP_STARFLEETRANK', UserDetailsProvider::httpHeaderFromAttribute('starfleetRank'));
        $this->assertEquals('HTTP_SHIB_SESSION_ID', UserDetailsProvider::httpHeaderFromAttribute('Shib-Session-Id'));
    }
}
